summaryrefslogtreecommitdiff
path: root/tests/misc/stty-invalid
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stty-invalid')
-rwxr-xr-xtests/misc/stty-invalid3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/misc/stty-invalid b/tests/misc/stty-invalid
index 47531c533..d9f077779 100755
--- a/tests/misc/stty-invalid
+++ b/tests/misc/stty-invalid
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that stty diagnoses invalid inputs, rather than silently misbehaving.
-# Copyright (C) 2007-2008 Free Software Foundation, Inc.
+# Copyright (C) 2007-2009 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,6 +23,7 @@ fi
. $srcdir/test-lib.sh
require_controlling_input_terminal_
+trap '' TTOU # Ignore SIGTTOU
fail=0